Subject: Re: [PATCH net] net: ipa: Use the correct value for IPA_STATUS_SIZE

From: Simon Horman <[email-masked]>
Date: Tue, 30 May 2023 09:09:06 +0200

On Sat, May 27, 2023 at 10:46:25PM +0200, Bert Karwatzki wrote:
> commit b8dc7d0eea5a7709bb534f1b3ca70d2d7de0b42c introduced
> IPA_STATUS_SIZE as a replacement for the size of the removed struct
> ipa_status. sizeof(struct ipa_status) was sizeof(__le32[8]), use this
> as IPA_STATUS_SIZE.
> 
> >From 0623148733819bb5d3648b1ed404d57c8b6b31d8 Mon Sep 17 00:00:00 2001
> From: Bert Karwatzki <[email-masked]>
> Date: Sat, 27 May 2023 22:16:52 +0200
> Subject: [PATCH] Use the correct value for IPA_STATUS_SIZE.
> IPA_STATUS_SIZE
>  was introduced in commit b8dc7d0eea5a7709bb534f1b3ca70d2d7de0b42c as a
>  replacment for the size of the removed struct ipa_status which had
> size =
>  sizeof(__le32[8]).
> 
> Signed-off-by: Bert Karwatzki <[email-masked]>

Hi Bert,

As well as the feedback provided by Jakub elsewhere in this
thread I think it would be useful to CC the author of the above mentioned
commit, Alex Elder <[email-masked]>. I have CCed him on this email.
Please consider doing likewise when you post v2.

FWIIW, I did take a look.
And I do agree with your maths: struct ipa_status was 32 (= 8 x 4) bytes long.

> ---
>  drivers/net/ipa/ipa_endpoint.c | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/drivers/net/ipa/ipa_endpoint.c
> b/drivers/net/ipa/ipa_endpoint.c
> index 2ee80ed140b7..afa1d56d9095 100644
> --- a/drivers/net/ipa/ipa_endpoint.c
> +++ b/drivers/net/ipa/ipa_endpoint.c
> @@ -119,7 +119,7 @@ enum ipa_status_field_id {
>  };
>  
>  /* Size in bytes of an IPA packet status structure */
> -#define IPA_STATUS_SIZE			sizeof(__le32[4])
> +#define IPA_STATUS_SIZE			sizeof(__le32[8])
>  
>  /* IPA status structure decoder; looks up field values for a structure
> */
>  static u32 ipa_status_extract(struct ipa *ipa, const void *data,
> -- 
> 2.40.1
> 
> Bert Karwatzki